#
# spec file for package soundmodem (Version 0.7)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  alsa alsa-devel audiofile esound glib glib-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gpp gtk gtk-devel imlib imlib-devel libgpp libjpeg libpng-devel-packages libtiff libungif libxml libxml-devel update-desktop-files x-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel alsa alsa-devel audiofile autoconf automake binutils db1 db1-devel esound expat fontconfig fontconfig-devel gcc gcc-c++ gdbm gettext giflib giflib-devel glib glib-devel gnome-filesystem gnome-libs gnome-libs-devel gtk gtk-devel imlib imlib-devel libjpeg libjpeg-devel libpng libpng-devel libstdc++-devel libtiff libtiff-devel libtool libxml libxml-devel perl resmgr rpm update-desktop-files xorg-x11-devel xorg-x11-libs

Name:         soundmodem
License:      GPL
Group:        Productivity/Hamradio/Packet
Provides:     sndmodem
Obsoletes:    sndmodem
Autoreqprov:  on
Version:      0.7
Release:      2
Source:       soundmodem-%{version}.tar.bz2
Source1:      soundmodem.init
Source2:      soundmodemconfig.desktop
Patch:        soundmodem-%{version}.dif
URL:          http://www.baycom.org/~tom/ham/soundmodem/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      Multi-Platform Sound Card Packet Radio Modem
PreReq:       %fillup_prereq %insserv_prereq

%description
This package contains the driver and the diagnostic utility for a
userspace SoundModem. It allows you to use sound cards supported by
OSS/Free as Amateur Packet Radio modems.



Authors:
--------
    Thomas Sailer <t.sailer@alumni.ethz.ch>

%debug_package
%prep
%setup -q
%patch

%build
%define prefix   /usr
%define localstatedir   /var
%define sysconfdir /etc
autoreconf --force --install
test -f po/Makevars || mv po/Makevars.template po/Makevars
CFLAGS="$RPM_OPT_FLAGS" \
./configure --mandir=%{_mandir} \
            --prefix=%{prefix} \
            --localstatedir=%{localstatedir} \
	    --sysconfdir=%{sysconfdir}
make

%install
%define INSTALL_DIR install -d -m755
export RPM_BUILD_ROOT
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   rm -fr $RPM_BUILD_ROOT
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
make DESTDIR=$RPM_BUILD_ROOT install
install -m 0755 -d $RPM_BUILD_ROOT/etc/init.d
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/soundmodem
ln -s ../../etc/init.d/soundmodem $RPM_BUILD_ROOT/usr/sbin/rcsoundmodem
install -m 0755 -d $RPM_BUILD_ROOT/etc/ax25
MANDEST=$RPM_BUILD_ROOT/%{_mandir}/man8
install -m 0755 -d $MANDEST
install -m 0644 soundcard/soundmodem.8 $MANDEST
install -m 0644 configapp/src/soundmodemconfig.8 $MANDEST
touch $RPM_BUILD_ROOT/etc/ax25/soundmodem.conf
chmod 0600 $RPM_BUILD_ROOT/etc/ax25/soundmodem.conf
#chown root:root $RPM_BUILD_ROOT/etc/ax25/soundmodem.conf
# cleanup
rm -f $RPM_BUILD_ROOT/usr/include/modem.h
rm -f $RPM_BUILD_ROOT/usr/include/simd.h
%suse_update_desktop_file -i soundmodemconfig Network HamRadio

%post
%{fillup_and_insserv soundmodem}

%postun
%{insserv_cleanup}

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS ChangeLog COPYING NEWS README 
%doc %{_mandir}/man8/soundmodem.8.gz
%doc %{_mandir}/man8/soundmodemconfig.8.gz
%dir /etc/ax25
%{prefix}/sbin/*
%{prefix}/bin/*
/usr/share/applications/*.desktop
%config /etc/init.d/soundmodem
%config /etc/ax25/soundmodem.conf

%changelog -n soundmodem
* Mon May 17 2004 - jreuter@suse.de
- upgrade to version 0.7
- fix missing includes in interface.c (spectrum.h, scope.h)
* Sat Jan 10 2004 - adrian@suse.de
- fix build as user
* Fri Nov 07 2003 - ro@suse.de
- fix configure.in for current autoconf
* Wed Aug 20 2003 - sbrabec@suse.cz
- Removed obsolete libgtop from neededforbuild.
* Fri Aug 15 2003 - adrian@suse.de
- add desktop file
* Tue Jul 29 2003 - aj@suse.de
- Fix chown invocation.
* Fri Jun 20 2003 - ro@suse.de
- build with current gettext
* Wed Jun 18 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Thu Nov 21 2002 - ro@suse.de
- add AM_GNU_GETTEXT_VERSION
* Fri Sep 27 2002 - ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Wed Sep 18 2002 - ro@suse.de
- removed bogus self-provides
* Tue Aug 20 2002 - mmj@suse.de
- Correct PreReq
* Fri Jun 14 2002 - ro@suse.de
- always use macros when calling insserv
* Tue Apr 16 2002 - ro@suse.de
- remove START_ variable
- update to 0.6, bzipped source
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Tue Jan 15 2002 - egmont@suselinux.hu
- removed colons from startup/shutdown messages
* Mon Sep 24 2001 - jreuter@suse.de
- fixed rc script for LSB compliance (closes bug #9099)
* Sat Dec 02 2000 - ka@suse.de
- update tp version 0.4
- added INIT INFO to init script
- added insserv call to spec file for symbolic links to init script
* Sat Dec 02 2000 - ka@suse.de
- renamed to soundmodem
* Fri Dec 01 2000 - uli@suse.de
- moved init script to /etc/init.d
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to Utilities/Hamradio
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Wed Sep 20 2000 - ka@suse.de
- initial release 0.2
